APIType (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.api

## Enum APIType

- java.lang.Object
- - java.lang.Enum<APIType>
  - - com.marketfactory.api.APIType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APIType>

      public enum APIType
      extends java.lang.Enum<APIType>

  Many of the calls pertain to either market-data or trading; this enum allows us to specify that.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `DROPCOPY`
    `MARKET_MAKER_PRICING`
    `MARKET_MAKER_PRICING_AND_TRADING`
    `MARKET_MAKER_TRADING`
    `MARKETDATA`
    `TRADING`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static APIType` | `get(byte value)`
    `static java.util.Collection<APIType>` | `validValues()`
    `static APIType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APIType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MARKETDATA

          public static final APIType MARKETDATA

    - #### TRADING

          public static final APIType TRADING

    - #### DROPCOPY

          public static final APIType DROPCOPY

    - #### MARKET_MAKER_PRICING

          public static final APIType MARKET_MAKER_PRICING

    - #### MARKET_MAKER_TRADING

          public static final APIType MARKET_MAKER_TRADING

    - #### MARKET_MAKER_PRICING_AND_TRADING

          public static final APIType MARKET_MAKER_PRICING_AND_TRADING

    - #### _INVALID

          public static final APIType _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static APIType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APIType c : APIType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APIType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static APIType get(byte value)

    - #### validValues

          public static java.util.Collection<APIType> validValues()